package com.dcsoft.system.visitor.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 访客审核对象 vis_visitor_examine
 *
 * @author nichun
 * @date 2023-03-11
 */
public class VisVisitorExamine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 审核Id */
    private Long id;

    /** 随访人 */
    @Excel(name = "随访人")
    private String name;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 访客id */
    @Excel(name = "访客id")
    private Long visitorId;

    /** 访客id */
    private Long exitId;

    /** 准入时间起 */
    @Excel(name = "准入时间起")
    private String admittanceStart;

    /** 准入时间止 */
    @Excel(name = "准入时间止")
    private String admittanceEnd;

    /** 设备空间 */
    @Excel(name = "设备空间")
    private Long spaceId;

    /** 设备位置 */
    @Excel(name = "设备位置")
    private String pointId;

    /** 1:本地库 2:云端库 默认本地 */
    @Excel(name = "1:本地库 2:云端库 默认本地")
    private String type;

    /** facePermission 刷脸权限 idCardPermission 刷卡权限 faceAndCardPermission 人卡合一权限 idCardFacePermission 人证比对权限
passwordPermission 密码权限 */
    private String permission;

    /** 审核意见 */
    private String examine;

    protected String[] pointIds;

    private Long ruleId;

    private String rejectReason;

    public Long getExitId() {
        return exitId;
    }

    public void setExitId(Long exitId) {
        this.exitId = exitId;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setVisitorId(Long visitorId)
    {
        this.visitorId = visitorId;
    }

    public Long getVisitorId()
    {
        return visitorId;
    }
    public void setAdmittanceStart(String admittanceStart)
    {
        this.admittanceStart = admittanceStart;
    }

    public String getAdmittanceStart()
    {
        return admittanceStart;
    }
    public void setAdmittanceEnd(String admittanceEnd)
    {
        this.admittanceEnd = admittanceEnd;
    }

    public String getAdmittanceEnd()
    {
        return admittanceEnd;
    }
    public void setSpaceId(Long spaceId)
    {
        this.spaceId = spaceId;
    }

    public Long getSpaceId()
    {
        return spaceId;
    }
    public void setPointId(String pointId)
    {
        this.pointId = pointId;
    }

    public String getPointId()
    {
        return pointId;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setPermission(String permission)
    {
        this.permission = permission;
    }

    public String getPermission()
    {
        return permission;
    }


    public String getExamine() {
        return examine;
    }

    public void setExamine(String examine) {
        this.examine = examine;
    }

    public String[] getPointIds() {
        return pointIds;
    }

    public void setPointIds(String[] pointIds) {
        this.pointIds = pointIds;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("visitorId", getVisitorId())
            .append("admittanceStart", getAdmittanceStart())
            .append("admittanceEnd", getAdmittanceEnd())
            .append("spaceId", getSpaceId())
            .append("pointId", getPointId())
            .append("type", getType())
            .append("permission", getPermission())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
